### Method

# Cogl MatrixStack get_inverse

#### Declaration [src]

    gboolean
    cogl_matrix_stack_get_inverse (
      CoglMatrixStack* stack,
      graphene_matrix_t* inverse
    )

#### Description [src]

Gets the inverse transform of the current matrix and uses it to initialize a new #graphene_matrix_t.

#### Parameters

`inverse`

  Type: `graphene_matrix_t`

  The destination for a 4x4 inverse transformation matrix.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the inverse was successfully calculated or `FALSE` for degenerate transformations that can’t be inverted (in this case the `inverse` matrix will simply be initialized with the identity matrix).